#pragma once
#include <stdint.h>
#include "player.h"

#define ACTION_NONE 0
#define ACTION_PLAY_ONCE 1
#define ACTION_STOP 2
#define ACTION_QUIT 3

void ui_input(char input);
uint8_t do_ui();
void ui_init();
void ui_set_pattern(pattern_t * _pattern);